Subject: bug#51821: 29.0.50; Suggest add variable or frame parameter: line-height

From: Eli Zaretskii <[email-masked]>
Date: Sat, 20 Nov 2021 09:34:33 +0200

> From: "Feng Shu" <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 20 Nov 2021 15:13:16 +0800
> 
> No, I mean if Chinese font's height <= ASCII font height, it will no
> this problem, so I think line height will no longer important at this
> situation.

But how to achieve this, except by asking the user to find a suitable
Chinese font and configure the fontset accordingly?  Once a font is
selected for a face to display a certain script, Emacs just uses that
font with whatever height it has.  We don't dynamically change the
font size during display (and not all fonts even can be resized).